%include	/usr/lib/rpm/macros.perl
%define		_mainver	0.7
%define		_subver	.9
%define		_ver	%(echo %{_subver} |tr . -)
Summary:	dvd2avi - conversion tool
Summary(de.UTF-8):	dvd2avi - ein konversions Tool
Summary(pl.UTF-8):	dvd2avi - narzędzie do konwersji
Name:		dvd2avi
Version:	%{_mainver}%{_subver}
Release:	7
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/dvd2avi/%{name}-%{_mainver}%{_ver}.tgz
# Source0-md5:	a8e464ec8ffd02919ba2956ccf53ac68
Source1:	%{name}.desktop
Patch0:		%{name}-location.patch
URL:		http://dvd2avi.sourceforge.net/
BuildRequires:	rpm-perlprov
Requires:	lsdvd
Requires:	mencoder
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DVD2AVI makes conversion of DVDs to AVIs a real breeze.

%description -l de.UTF-8
DVD2AVI macht eine konversion von einer DVD zum AVI Format zum
Kinderspiel.

%description -l pl.UTF-8
DVD2AVI sprawia, że konwersja z DVD do AVI staje się lekka jak morska
bryza.

%prep
%setup -q -n opt/%{name}
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{perl_vendorarch}/Dvd2avi,%{_datadir}/dvd2avi,%{_desktopdir}}
install dvd2avi.pl $RPM_BUILD_ROOT%{_bindir}/dvd2avi
install functions.pm $RPM_BUILD_ROOT%{perl_vendorarch}/Dvd2avi/Functions.pm
install dvd2avi.glade $RPM_BUILD_ROOT%{_datadir}/dvd2avi/dvd2avi.glade
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README INSTALL
%attr(755,root,root) %{_bindir}/dvd2avi
%dir %{perl_vendorarch}/Dvd2avi
%{perl_vendorarch}/Dvd2avi/*
%dir %{_datadir}/dvd2avi
%{_datadir}/dvd2avi/*
%{_desktopdir}/dvd2avi.desktop
%changelog
* Sun Sep 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dvd2avi.git;a=log;h=master

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> df0b1a0
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 94d24c9
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bd83cf9
- release 5

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> de09880
- rel 4
- fixed desktop categories

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b1db83
- rel 3

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> f83a98c
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Wed Feb 21 2007 vip <vip@pld-linux.org> fd02f41
- missing R: mencoder, lsdvd (noticed by Pawel Długosz <duddits at 7pk dot pl>)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8b5ce27
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 737f076
- converted to UTF-8

* Wed Oct 25 2006 shadzik <shadzik@pld-linux.org> 6cae0ae
- avoid duplications in %files section

* Wed Oct 25 2006 shadzik <shadzik@pld-linux.org> b28801b
- use proper dvd2avi Functions.pm (use Dvd2avi::Functions;)

* Wed Oct 25 2006 shadzik <shadzik@pld-linux.org> 6cd2349
- move functions.pm again, this time in the right place where it belongs to
- rel 2.1

* Wed Oct 25 2006 shadzik <shadzik@pld-linux.org> 025338c
- better

* Wed Oct 25 2006 shadzik <shadzik@pld-linux.org> 2a2ba1b
- cleared TODO
- rel 2

* Wed Oct 25 2006 shadzik <shadzik@pld-linux.org> 213362b
- added new include directory for functions (functions.pm is no longer in perl_vendorlib)

* Tue Jul 18 2006 shadzik <shadzik@pld-linux.org> 18c5c98
- up for dvd2avi-0.7.9, we now need to patch dvd2avi.pl not dvd2avi

* Tue Jul 18 2006 shadzik <shadzik@pld-linux.org> a45195f
- up to 0.7.9

* Mon Jul 10 2006 shadzik <shadzik@pld-linux.org> 6f687e1
- 0.7.7

* Tue Jul 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 4928e76
- be df-friendly

* Tue Jul 04 2006 shadzik <shadzik@pld-linux.org> 0038dca
- better versioning

